Understanding Society User Support - Support #508

BHPS identifying households or individuals across waves
02/21/2016 10:46 AM - Christopher Booth

Status: Closed Start date: 02/21/2016
Priority: Immediate % Done: 100%
Assignee: Christopher Booth

Category: Data analysis

Description

Hi,

| am looking to analyse a number of variables such as income, wealth and consumption across waves and to see how they change.
From what | understand | cannot link households across waves. But to link individuals across waves | have to use the person
identifier (PID). | am specifically looking at the data files whhresp and windresp from waves J-R. Within these | can find the variable
for household identification number but | cannot find the variable for PID. Please could you help identify where | can find PID so that |
can analyse this data for individuals across waves.

Thanks

History

#1 - 02/23/2016 01:49 PM - Alita Nandi
- Assignee changed from Alita Nandi to Christopher Booth
- % Done changed from 0 to 90

I am not sure why you cannot find pid but here are two possible reasons:

(1) In the BHPS all variables are lower case and Stata is case sensitive. So, if you look for PID Stata will say that the variable does not exist. The
variable is pid

(2) The household file, whhresp, only include the household identifier, whid. The individual respondent file, windresp, includes both whid and pid. To
merge these files by wave you should do a m:1 merge using the variable whid.

use windresp, clear
merge m:1 whid using whhresp

As you are interested in matching household level variables across waves, you may also look at a similar issue raised by another user: issue 509.
Hope this answers your question. If not, please let us know.
Alita

#2 - 02/23/2016 01:50 PM - Alita Nandi

Although issue 509 is about understanding society (ukhls) - the file structures for the two surveys are almost identical so the data management issues
are the same.

#3 - 03/08/2016 04:04 PM - Victoria Nolan
- Status changed from New to Closed

- % Done changed from 90 to 100
